/*!
 * app.css for master
 * Author wzcoder.com
 * @Copyright 2005-2021 wzcoder.com (http://www.wzcoder.com)
 * @version 1.0
 * @date 2021-03-05-1:59 PM
 */

/*--------------------------------------------------------------
# App通用
--------------------------------------------------------------*/
video, embed, iframe, img {
    display: block;
    max-width: 100%;
}

.blog {
    background-color: var(--light-bg-color);
}

.content {
    background-color: var(--white);
    border-radius: var(--border-radius);
    overflow: hidden;
    min-height: 600px;
}


.content .title {
    background-color: var(--white);
    padding: 17px 20px 0 20px;
    margin-bottom: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.content .title h3 {
    position: relative;
    display: inline-block;
    font-size: 17px;
    margin: 0;
    padding-left: 17px;
}

.content .title h3::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: -8px;
    height: 16px;
    width: 4px;
    border-radius: 10px;
    background-color: var(--primary-color);
}

.content .title .more {
    font-size: 14px;
    font-weight: 600;
}

.content .summary {
    padding: 10px 20px 0 20px;
    font-size: 14px;
    color: var(--text-color-secondary);
}

.post {
    padding: 20px 20px 20px 220px;
    overflow: hidden;
    border-bottom: 1px solid var(--border-color);
}

.content > .post:last-child {
    border-bottom: none;
}

.post .focus {
    float: left;
    margin-left: -200px;
    width: 180px;
    height: 123px;
    display: flex;
    border-radius: 6px;
    overflow: hidden;
}

.post .focus .thumb {
    flex: 1;
    -o-object-fit: cover;
    object-fit: cover;
}

.post .caption {
    position: relative;
    margin-bottom: 10px;
}

.post .caption h2 {
    display: inline;
    font-size: 18px;
    margin-top: 0;
    font-weight: bold;
    margin-bottom: 10px;
}

.post .text {
    font-size: 14px;
    color: var(--text-color-secondary);
    word-wrap: break-word;
    margin-bottom: 0;
    max-height: 46px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.post .meta {
    font-size: 14px;
    color: var(--text-color-secondary);
    margin-top: 20px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
}

.post .meta a {
    display: inline-block;
    position: relative;
}

.post .meta a, .post .meta i {
    font-size: 14px;
    color: var(--text-color-secondary);
}

.post .meta a:hover, .post .meta a:hover i {
    color: var(--primary-color);
}

.tags a {
    margin-right: 22px;
}

.tags a:first-child::before {
    display: none;
}

.tags a::before {
    display: inline-block;
    content: "";
    position: absolute;
    top: 9px;
    left: -13px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--text-color-secondary);
}

.module {
    position: relative;
    margin-bottom: 20px;
    border-radius: var(--border-radius);
    background-color: var(--white);
    overflow: hidden;
}

.site-search-form {
    padding: 37px 20%;
    overflow: hidden;
}

.module-search .site-search-form {
    padding: 20px;
}

.search-input {
    float: left;
    color: var(--text-color-secondary);
    border: solid 1px var(--border-color);
    background-color: var(--white);
    width: 85%;
    height: 46px;
    padding: 4px 15px;
    border-right: none;
    font-size: 15px;
    border-radius: 6px 0 0 6px;
    outline: none;
}

.module-search input {
    height: 40px;
    font-size: 14px;
    padding: 4px 10px;
}

.search-btn {
    color: #fff;
    border: none;
    background: var(--primary-color);
    height: 46px;
    font-size: 18px;
    padding: 0 12px;
    border-radius: 0 6px 6px 0;
    width: 15%;
    cursor: pointer;
    transition: color .25s, background-color .25s, border-color .25s;
}

.module-search button {
    height: 40px;
}

.module .title {
    position: relative;
    font-size: 17px;
    margin: 0;
    padding: 10px 20px 10px 37px;
    background-color: var(--light-bg-color_top);
    border-bottom: 1px solid var(--border-color);
}

.module .title:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 20px;
    margin-top: -7.5px;
    height: 15px;
    width: 4px;
    border-radius: 10px;
    background-color: var(--primary-color);
}

.module .module-body {
    padding: 20px;
}

.module .module-body p {
    margin-bottom: 0;
}

.footer {
    font-size: 14px;
    color: var(--text-color-secondary);
}

.footer a {
    color: var(--text-color-secondary);
}

.article {
    padding: 30px;
}

.article .article-title h1 {
    text-align: center;
    font-size: 24px;
    font-weight: 600;
}

.article .article-title .post-meta {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.article .article-title .post-meta,
.article .article-title .post-meta a {
    font-size: 14px;
    color: var(--text-color-secondary);
}

.article .article-title .post-meta a:not(:last-child) {
    margin-right: 12px;
}

.article .article-tags {
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
    margin-top: 40px;
    flex-wrap: wrap;
}

.article .article-tags a {
    font-size: 14px;
    background-color: var(--primary-color);
    color: var(--white);
    display: inline-block;
    padding: 5px 12px;
    opacity: .85;
    border-radius: var(--border-radius);
    margin-bottom: 12px;
}

.article .article-tags a:hover {
    color: #fff;
    opacity: 1;
    filter: alpha(opacity=100);
}

.article .article-tags a:not(:last-child) {
    margin-right: 12px;

}

.article .article-prev-next {
    margin-bottom: 40px;
}

.article .article-prev-next,
.article .article-prev-next a {
    font-size: 14px;
    color: var(--text-color-secondary);
}

.article a:hover {
    color: var(--primary-color);
}

.module-tags a {
    display: inline-block;
    word-break: break-word;
    border: 1px solid var(--border-color);
    padding: 2px 7px;
    font-size: 12px;
    border-radius: var(--border-radius);
    margin: 0 2px 3px 0;
}

.module-tags a:hover {
    color: var(--white);
    border: 1px solid var(--primary-color);
    background-color: var(--primary-color);
}

.lists.related {
    padding: 20px;
}

.post__v2 .thumb {
    margin-bottom: 15px;
}

.post__v2 h2 {
    font-size: 14px;
}

.module-hot li {
    margin-bottom: 10px;
    position: relative;
    display: inline-flex;
    justify-content: start;
    align-items: start;
}

.module-hot a {
    display: inline-block;
    font-size: 14px;
    margin-left: 25px;
}

.module-hot i {
    position: absolute;
    display: inline-flex;
    width: 20px;
    height: 20px;
    background-color: var(--light-bg-color);
    justify-content: center;
    align-items: center;
    font-style: normal;
    top: 3px;
    font-size: 12px;
}

.module-hot .top3 i {
    background-color: var(--primary-color);
    color: var(--white);
}

.tg-list a {
    margin-left: 0;
}

.tg-list i {
    color: var(--primary-color);
    margin-top: 2px;
}

@media (max-width: 767.98px) {
    .post {
        border: none;
        padding: 14px 15px 15px 150px;
        border-radius: 0 !important;
        position: relative;
    }

    .post:not(:last-child)::before {
        content: "";
        position: absolute;
        bottom: 0px;
        left: 15px;
        right: 15px;
        border-top: 1px solid var(--border-color);
        transform: scaleY(0.5);
        transform-origin: 0 0;
    }

    .post .caption {
        margin-bottom: 0;
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        overflow: hidden;
    }

    .post .caption h2 {
        font-size: 15px;
        line-height: 1.4;
        font-weight: normal;
        position: relative;
        top: -2px;
    }

    .post .focus {
        float: left;
        margin-left: -135px;
        width: 120px;
        height: 82px;
    }

    .post .meta {
        margin-top: 10px;
    }

    .post .meta a, .post .meta i {
        font-size: 12px;
    }

    .content .title {
        border-radius: 0;
        padding: 10px 15px 0 15px;
        position: relative;
    }

    .article,
    .lists.related {
        padding: 15px;
    }
}
